/*********************************************************************************
 * config.h ($Revision: 241 $)
 *
 * Copyright (c) 2006-2009 Marco Zissen <maz@v3v.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *********************************************************************************/
char* cfg_replace(const char *in, char *out, int size, const char* find, const char* cfg_replace);
int cfg_strlen(char *str);
int cfg_isnumeric(char *str, int check_decimal);
char **cfg_get_entries(char *file, int type, char* section, unsigned *entry_count, char **data);
char **cfg_get_sections(char *file, int *sec_count, char **sections);

void read_plugin_config();
void free_plugin_config();
