/*********************************************************************************
 * port_soundcard.h ($Revision: 250 $)
 *
 * Copyright (c) 2006-2009 Marco Zissen <maz@v3v.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *********************************************************************************/

#pragma once
#define _CRT_SECURE_NO_DEPRECATE 1
#define _CRT_NONSTDC_NO_DEPRECATE 1

typedef struct
{   
    pjmedia_port     *capi_port;        
    pjmedia_port     *resample_port;

    mixer_port_data  mixdata;

    int              con_id;  

} portdata_soundcard;

pj_status_t port_soundcard_init(connection_t *mCON);
pj_status_t port_soundcard_close(connection_t *mCON);

static pj_status_t port_soundcard_create(pj_pool_t *pool, connection_t *mCON, pjmedia_port **p_port);
static pj_status_t port_soundcard_get_frame(pjmedia_port *port, pjmedia_frame *frame);
static pj_status_t port_soundcard_put_frame(pjmedia_port *port, const pjmedia_frame *frame);
