/*********************************************************************************
 * voip_registrar.h ($Revision: 250 $)
 *
 * Copyright (c) 2006-2009 Marco Zissen <maz@v3v.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *********************************************************************************/

#pragma once
#define _CRT_SECURE_NO_DEPRECATE 1
#define _CRT_NONSTDC_NO_DEPRECATE 1

int voip_registrar_connect_clients(connection_t *mCON, char *SourceNo, char *TargetNo, int acc_id, int client_id, connection_devtype_e oDevType, connection_dir_e direction);
int voip_registrar_disconnect_clients(connection_t *mCON, int keep_active_client);
int voip_registrar_authorization_challenge(pjsip_rx_data *rdata);

pj_bool_t voip_registrar_rx_request(pjsip_rx_data *rdata);

static pjsip_module mod_dtmfbox_registrar =
{
    NULL, NULL,                         // prev, next.
    { "dtmfbox_registrar", 17 },        // Name.
    -1,                                 // Id
    PJSIP_MOD_PRIORITY_APPLICATION+1,   // App priority
    NULL,                               // load()
    NULL,                               // start()
    NULL,                               // stop()
    NULL,                               // unload()
    &voip_registrar_rx_request,         // on_rx_request()
    NULL,                               // on_rx_response()
    NULL,                               // on_tx_request()
    NULL,                               // on_tx_response()
    NULL                                // on_tsx_state()
};
