/*********************************************************************************
 * menu.h ($Revision: 241 $)
 *
 * Copyright (c) 2006-2009 Marco Zissen <maz@v3v.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *********************************************************************************/
#include "funcs.h"
#include "config.h"

void read_menu();
void link_menu(unsigned count);
void free_menu();
int fill_menu(char *section, int pos, int type);
int search_param(char *menu_value, char *section, int section_size, char *params[MAX_ARGS], int param_len[MAX_ARGS], int remove_squares);
int search_link(char *key, int menu_count);
