/*********************************************************************************
 * mixer_conf.h ($Revision: 250 $)
 *
 * Copyright (c) 2006-2009 Marco Zissen <maz@v3v.de>
 *
 * >>> Many thanks to Florian Eyben for the mixer code! <<<
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *********************************************************************************/
#pragma once
#define _CRT_SECURE_NO_DEPRECATE 1
#define _CRT_NONSTDC_NO_DEPRECATE 1

pj_status_t mixer_conf_port_connect(connection_t *mCONsrc, connection_t *mCONdst, int add_conf_array);
pj_status_t mixer_conf_port_disconnect(connection_t *mCONsrc, connection_t *mCONdst, int remove_conf_array);
pj_status_t mixer_conf_port_disconnect_all(int slot);

pj_status_t mixer_conf_array_add(connection_t *mCON, int con_id);
pj_status_t mixer_conf_array_remove(connection_t *mCON, int con_id);

static pj_status_t mixer_conf_slots_are_connected(unsigned int src, unsigned int dst);
static pj_status_t mixer_conf_ports_are_connected(connection_t *mCONsrc, connection_t *mCONdst);

